Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.userproperty
Interface RequiredUserProperties

    public interface RequiredUserProperties

Holds which properties are required by the producer.

Method Summary
`boolean` | `isAll()` Returns true if the producer require all properties from the consumer.
`boolean` | `isNone()` Returns true if the producer does not require any user properties from the consumer.
`boolean` | `isPropertyRequired(String propertySetName, String propertyName)` Is the specified property required by this portlet.
`boolean` | `isSpecified()` Returns true if the producer specified the list of properties required from the consuemer.
`boolean` | `isWebAppDefault()` Is the mode webapp-default.

Method Detail

### isAll

    boolean isAll()

  Returns true if the producer require all properties from the consumer.

  Returns
    true if the mode is all

### isNone

    boolean isNone()

  Returns true if the producer does not require any user properties from the consumer.

  Returns
    true if the mode is none

### isSpecified

    boolean isSpecified()

  Returns true if the producer specified the list of properties required from the consuemer.

  Returns
    true if the mode is specified

### isWebAppDefault

    boolean isWebAppDefault()

  Is the mode webapp-default.

  Returns
    true if the mode is webapp-default

### isPropertyRequired

    boolean isPropertyRequired(String propertySetName,
                               String propertyName)

  Is the specified property required by this portlet.

  Parameters
    `propertySetName` - the p13n property set name, or null for non p13n properties (e.g. P3)
    `propertyName` - the name of the property
  Returns
    true if the property is required

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.